Debian Bug report logs - #474447
fslview: recommends packages not in main

version graph

Package: fslview; Maintainer for fslview is NeuroDebian Team <team@neuro.debian.net>; Source for fslview is src:fslview.

Reported by: Amaya <amaya@debian.org>

Date: Sat, 5 Apr 2008 18:09:02 UTC

Severity: important

Tags: patch

Found in version fslview/3.0+4.0.2-3

Fixed in versions fslview/3.0+4.0.2-4, fslview/3.0+4.0.2-3lenny1

Done: Michael Hanke <michael.hanke@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Hanke <michael.hanke@gmail.com>:
Bug#474447; Package fslview. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Hanke <michael.hanke@gmail.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: submit@bugs.debian.org
Subject: fslview: recommends packages not in main
Date: Sat, 5 Apr 2008 20:09:15 +0200
[Message part 1 (text/plain, inline)]
Package: fslview
Version: 3.0+4.0.2-3
Severity: important
User: debian-release@lists.debian.org
Usertags: goal-recommends
Tags: patch

Hi,

fslview recommends fsl-atlases, which is no longer available in unstable.

This bug is RC, hence the severity, according to the following Release Goal for
Lenny:

  # No unmet recommends relations inside main
  Advocate: Luk Claes
  Description: Packages in main should be able to satisfy all recommend
               relations in main.
  Bug-User: debian-release@lists.debian.org
  Bug-Tag: goal-recommends

Attached is the a patch with a suggestion on how to fix this bug, but of
course, as the package maintainer you might know better.

Thanks for your contribution to debian, and... Happy hacking!


-- 
  ยท''`.               Fuck your fascist beauty standards
 : :' :
 `. `' 
   `-        Proudly running (unstable) Debian GNU/Linux
[fslview-3.0+4.0.2-4.diff (text/x-diff, attachment)]

Tags added: pending Request was from Michael Hanke <michael.hanke@gmail.com> to control@bugs.debian.org. (Tue, 15 Apr 2008 05:33:12 GMT) Full text and rfc822 format available.

Reply sent to Michael Hanke <michael.hanke@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Amaya <amaya@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 474447-close@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 474447-close@bugs.debian.org
Subject: Bug#474447: fixed in fslview 3.0+4.0.2-4
Date: Tue, 15 Apr 2008 22:32:03 +0000
Source: fslview
Source-Version: 3.0+4.0.2-4

We believe that the bug you reported is fixed in the latest version of
fslview, which is due to be installed in the Debian FTP archive:

fslview-doc_3.0+4.0.2-4_all.deb
  to pool/main/f/fslview/fslview-doc_3.0+4.0.2-4_all.deb
fslview_3.0+4.0.2-4.diff.gz
  to pool/main/f/fslview/fslview_3.0+4.0.2-4.diff.gz
fslview_3.0+4.0.2-4.dsc
  to pool/main/f/fslview/fslview_3.0+4.0.2-4.dsc
fslview_3.0+4.0.2-4_i386.deb
  to pool/main/f/fslview/fslview_3.0+4.0.2-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 474447@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Hanke <michael.hanke@gmail.com> (supplier of updated fslview package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Apr 2008 00:33:03 +0200
Source: fslview
Binary: fslview fslview-doc
Architecture: source i386 all
Version: 3.0+4.0.2-4
Distribution: unstable
Urgency: low
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Changed-By: Michael Hanke <michael.hanke@gmail.com>
Description: 
 fslview    - viewer for (f)MRI and DTI data
 fslview-doc - Documentation for FSLView
Closes: 474447 475993
Changes: 
 fslview (3.0+4.0.2-4) unstable; urgency=low
 .
   * Do not recommend fsl-atlases package anymore as it is not in Debian
     main. However, this package is available from other repositories.
     Therefore keeping the reference in the suggested packages
     (Closes: #474447).
   * Add explicite build-dependency on libqt3-compat-headers (Closes: #475993).
Checksums-Sha1: 
 eb1e8e0e38f3a3615854ee3678bc3110ec184bef 1380 fslview_3.0+4.0.2-4.dsc
 d3f0f9942e7cea1dded5bf0d7bfd57acb78b50cc 11189 fslview_3.0+4.0.2-4.diff.gz
 d4bd0cb694f55efb3ad9abd264a8d2807058b222 1385372 fslview_3.0+4.0.2-4_i386.deb
 f47bdc3f4542dda5b6939cd71b24c2fa2f2eae01 4515916 fslview-doc_3.0+4.0.2-4_all.deb
Checksums-Sha256: 
 de70197bb7be679342987870d3409558598dd0103e011dd58e96a76527fba618 1380 fslview_3.0+4.0.2-4.dsc
 f99d2b24e050be317d5182ea3ca7fe1fe23f36e29d87755c9622acf27bfccd67 11189 fslview_3.0+4.0.2-4.diff.gz
 036839e93473c916d6a1490be061fa49b79ed951f985736d98200a19d1bd14ab 1385372 fslview_3.0+4.0.2-4_i386.deb
 7e22c461042c2128bbfd5eec05c3373760a5d198cce0ea9d1333d93ddbe39c90 4515916 fslview-doc_3.0+4.0.2-4_all.deb
Files: 
 14706fde3b7b6c33d9cfb4bbc7ec36e3 1380 science optional fslview_3.0+4.0.2-4.dsc
 313716373a065b6a7022aa2c76a21bf1 11189 science optional fslview_3.0+4.0.2-4.diff.gz
 1b493ef0a2d3720dc69826ac8176a02d 1385372 science optional fslview_3.0+4.0.2-4_i386.deb
 899d8fe51eb474523331f20aec433ee8 4515916 doc optional fslview-doc_3.0+4.0.2-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIBSayjRFFY3XAJMgRAuZ3AKCrNnldMK99aiNTfgDIph5N2KmsdACgsX1l
0qirxHyXzQ2rk1R9XG1qUI0=
=HMtm
-----END PGP SIGNATURE-----





Reply sent to Michael Hanke <michael.hanke@gmail.com>:
You have taken responsibility. (Tue, 14 Oct 2008 22:03:06 GMT) Full text and rfc822 format available.

Notification sent to Amaya <amaya@debian.org>:
Bug acknowledged by developer. (Tue, 14 Oct 2008 22:03:06 GMT) Full text and rfc822 format available.

Message #17 received at 474447-close@bugs.debian.org (full text, mbox):

From: Michael Hanke <michael.hanke@gmail.com>
To: 474447-close@bugs.debian.org
Subject: Bug#474447: fixed in fslview 3.0+4.0.2-3lenny1
Date: Tue, 14 Oct 2008 21:32:18 +0000
Source: fslview
Source-Version: 3.0+4.0.2-3lenny1

We believe that the bug you reported is fixed in the latest version of
fslview, which is due to be installed in the Debian FTP archive:

fslview-doc_3.0+4.0.2-3lenny1_all.deb
  to pool/main/f/fslview/fslview-doc_3.0+4.0.2-3lenny1_all.deb
fslview_3.0+4.0.2-3lenny1.diff.gz
  to pool/main/f/fslview/fslview_3.0+4.0.2-3lenny1.diff.gz
fslview_3.0+4.0.2-3lenny1.dsc
  to pool/main/f/fslview/fslview_3.0+4.0.2-3lenny1.dsc
fslview_3.0+4.0.2-3lenny1_i386.deb
  to pool/main/f/fslview/fslview_3.0+4.0.2-3lenny1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 474447@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Hanke <michael.hanke@gmail.com> (supplier of updated fslview package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Oct 2008 19:58:56 +0200
Source: fslview
Binary: fslview fslview-doc
Architecture: source i386 all
Version: 3.0+4.0.2-3lenny1
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Changed-By: Michael Hanke <michael.hanke@gmail.com>
Description: 
 fslview    - viewer for (f)MRI and DTI data
 fslview-doc - Documentation for FSLView
Closes: 474447 475993 482209 502083
Changes: 
 fslview (3.0+4.0.2-3lenny1) testing-proposed-updates; urgency=low
 .
   * Prevent using -Wl,--as-needed linker flags on arm, armel and armeb
     (Closes: #502083). Thanks to Riku Voipio for pointing to the workaround.
   * Backported bugfixes from 3.0+4.0.2-5. Due to a VTK-related FTBFS on ARM
     this version did not make it into testing on time (see #492538). This
     package version is essentially identical to 3.0+4.0.2-5, except for a few
     changes to the FSL repacking script, which are unrelated to the fslview
     package itself.
   * Specify Qt3 dev tools explicitly to be compatible with cmake 2.6 and
     add missing include path (Closes: #482209).
   * Do not recommend fsl-atlases package anymore as it is not in Debian
     main. However, this package is available from other repositories.
     Therefore keeping the reference in the suggested packages
     (Closes: #474447).
   * Add explicite build-dependency on libqt3-compat-headers (Closes: #475993).
Checksums-Sha1: 
 219d9e10b996ad8e1a40f2f57067a0552b308d70 1404 fslview_3.0+4.0.2-3lenny1.dsc
 1d7e39e4fa6b085841f87577056b436564b98845 13021 fslview_3.0+4.0.2-3lenny1.diff.gz
 d0b218b9a5df399ddaa80a154508e11e36acc702 1360586 fslview_3.0+4.0.2-3lenny1_i386.deb
 3a261fdf5b4ac2de8deb899769001411118a8ae2 4516244 fslview-doc_3.0+4.0.2-3lenny1_all.deb
Checksums-Sha256: 
 76d9d4054db158edb43ed31a5c7b4c6a46e1ea85f187194e3cddd990a8680eed 1404 fslview_3.0+4.0.2-3lenny1.dsc
 6b498366bf11386163c7b273b8b54e2c5da73ab3b75349ef0f291a2979db761a 13021 fslview_3.0+4.0.2-3lenny1.diff.gz
 c940846a8e9c2d5a9bb36c4343e531d7984c1c1dffd42ddb30cb10bc73313517 1360586 fslview_3.0+4.0.2-3lenny1_i386.deb
 16b7d727ceac5a1ec4955d1a3ee2819fc339449a32dca7ef72e8042e002ce288 4516244 fslview-doc_3.0+4.0.2-3lenny1_all.deb
Files: 
 635e08a1f4a38339ec4297226fff19f7 1404 science optional fslview_3.0+4.0.2-3lenny1.dsc
 bfa885a532eb20dbe0889fc8beb10e62 13021 science optional fslview_3.0+4.0.2-3lenny1.diff.gz
 9f6a6e6a38dbd1e10e597497b2cd60e6 1360586 science optional fslview_3.0+4.0.2-3lenny1_i386.deb
 1526bb72ed9b35133c50848ad1eb6ffd 4516244 doc optional fslview-doc_3.0+4.0.2-3lenny1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFI9PlVjRFFY3XAJMgRAthNAKChDBociZwIDUzA/tugZc3NqbIi/ACgrkO+
oJPeRDFG7Ry7UdfyH71QsBg=
=qKIp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 12 Nov 2008 07:34:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:53:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.